<script lang="ts">
  import type { IComponent } from "./interfaces/IComponent";
  import type { Area } from "./enums/Area";
  import type { Theme } from "./enums/Theme";
  import { LayerType } from "./enums/LayerType";

  import ProfileComponentLayer from "./ProfileComponentLayer.svelte";
  import ProfileHeading from "./ProfileHeading.svelte";
  

  export interface IProfileAbout extends IComponent {
    area: Area;
    theme: Theme;
    label?: string;
  }

  export let classes: string = "";
  export let label: string = "";
  export let area: Area;
  export let theme: Theme;

  let classNames: string[];

  $: classNames.push(
    'text-4xl',
    'font-extrabold',
    'font-jetbrains',
    'text-center',
    'whitespace-nowrap',
  );

  $: classNames = classes?.split(" ") ?? [];

  $: classNames = classNames;
</script>

<section>
  <ProfileHeading {area} {theme}>
    Прочитано
  </ProfileHeading>
  <ProfileComponentLayer {theme} type={LayerType.Section}>
    <slot>{label}</slot>
  </ProfileComponentLayer>
</section>
